org.apache.sysds.runtime.matrix.data

## Interface Converter<K1 extends org.apache.hadoop.io.Writable,V1 extends org.apache.hadoop.io.Writable,K2 extends org.apache.hadoop.io.Writable,V2 extends org.apache.hadoop.io.Writable>

All Known Implementing Classes:
  BinaryBlockToTextCellConverter, TextToBinaryCellConverter

    public interface Converter<K1 extends org.apache.hadoop.io.Writable,V1 extends org.apache.hadoop.io.Writable,K2 extends org.apache.hadoop.io.Writable,V2 extends org.apache.hadoop.io.Writable>

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `convert(K1 k1, V1 v1)`
`boolean` `hasNext()`
`Pair<K2,V2>` `next()`
`void` `setBlockSize(int rl, int cl)`

### Method Detail

#### convert

    void convert(K1 k1,
                 V1 v1)

#### setBlockSize

    void setBlockSize(int rl,
                      int cl)

#### hasNext

    boolean hasNext()

#### next

    Pair<K2,V2> next()